Name: 		fonts-ttf-ecofont
Summary: 	Eco-friendly font based on Bitstream Vera
Version: 	1.0
Release: 	%mkrel 2.1
License: 	GPL
Group: 		System/Fonts/True type
Source: 	%{name}-%{version}.tar.xz
BuildRoot: 	%{_tmppath}/build-root-%{name}
BuildArch: 	noarch
Prefix: 	/usr/share
URL: 		http://www.ecofont.com/en/products/green/font/download-the-ink-saving-font.html


%description
An environmentally friendly font that saves ink. It is based on Bitstream Vera.


%prep

%setup -q 

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{prefix}/fonts/ecofont
cp ecofont_vera_sans_regular.ttf $RPM_BUILD_ROOT/%{prefix}/fonts/ecofont

mkdir -p $RPM_BUILD_ROOT/%{prefix}/doc/ecofont
cp Ecofont_licence.pdf $RPM_BUILD_ROOT/%{prefix}/doc/ecofont
cp LICENCE $RPM_BUILD_ROOT/%{prefix}/doc/ecofont

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%{prefix}/fonts/ecofont
%{prefix}/doc/ecofont


%post
{
	ttmkfdir -d %{prefix}/fonts/ecofont -o %{prefix}/fonts/ecofont/fonts.scale
	umask 133
	/usr/X11R6/bin/mkfontdir %{prefix}/fonts/ecofont
	/usr/sbin/chkfontpath -q -a %{prefix}/fonts/ecofont
	[ -x /usr/bin/fc-cache ] && /usr/bin/fc-cache
} &> /dev/null || :

%preun
{
	if [ "$1" = "0" ]; then
		cd %{prefix}/fonts/ecofont
		rm -f fonts.dir fonts.scale fonts.cache*
	fi
} &> /dev/null || :

%postun
if [ "$1" = "0" ]; then
  /usr/sbin/chkfontpath -q -r %{prefix}/fonts/ecofont
fi
[ -x /usr/bin/fc-cache ] && /usr/bin/fc-cache


%changelog
* Tue Apr 09 2019 tex - 1.0-2.1pclos2019
- rebuild against updates

* Fri Feb 24 2017 bb2 <bb2> - 1.0-1.1pclos2017
- rebuild for 2017

* Mon Jan 31 2011 Aradalf <aradalf at rocketmail dot com> 1.0-1pclos2010
- Initial release

